## org.junit.validator
Annotation Type ValidateWith

    @Retention(value=RUNTIME)
    @Target(value=ANNOTATION_TYPE)
    @Inherited
    public @interface ValidateWith

Allows for an `AnnotationValidator` to be attached to an annotation.

When attached to an annotation, the validator will be instantiated and invoked by the `ParentRunner`.

Since:
  4.12

Required Element Summary
`Class<? extends AnnotationValidator>` `value`

Element Detail

### value

    public abstract Class<? extends AnnotationValidator> value

Copyright © 2002–2020 JUnit. All rights reserved.